# NOTES
#  - draws unwanted, additional X labels in comparison with 4.4.6

%define		php_min_version 5.2.0
%include	/usr/lib/rpm/macros.php
Summary:	Class for creating esientific and business charts
Summary(pl.UTF-8):	Klasa do tworzenia naukowych i biznesowych wykresów
Name:		phplot
Version:	6.2.0
Release:	1
License:	LGPL v2.1, PHP
Group:		Libraries
Source0:	https://downloads.sourceforge.net/phplot/%{name}-%{version}.tar.gz
# Source0-md5:	a53917038aac2d3d0ccb4b148179c894
Source1:	https://downloads.sourceforge.net/phplot/%{name}docs-20151105.zip
# Source1-md5:	0c3af626c64ac2c55bdb3acd273d358b
URL:		http://phplot.sourceforge.net/
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.461
BuildRequires:	unzip
Requires:	php(core) >= %{php_min_version}
Requires:	php(date)
Requires:	php(gd)
Requires:	php(pcre)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_phpdocdir	%{_docdir}/phpdoc

%description
PHPlot is a graph library for dynamic scientific, business, and
stock-market charts. PHPlot allows PHP developers to create pie
charts, bar graphs, line graphs, point graphs, etc. from a PHP
application.

Optionally uses TrueType (TTF) fonts. Includes Pie, Bar, Line, Area,
Point and other plot types.

%description -l pl.UTF-8
Klasa do tworzenia naukowych i biznesowych wykresów.

%package phpdoc
Summary:	PHPlot Reference Manual
Summary(pl.UTF-8):	Dokumentacja online do phplot
Group:		Documentation
Requires:	php-dirs

%description phpdoc
PHPlot Reference Manual.

%description phpdoc -l pl.UTF-8
Dokumentacja do phplot.

%prep
%setup -q -a1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_data_dir}/%{name}
cp -a *.php $RPM_BUILD_ROOT%{php_data_dir}/%{name}

install -d $RPM_BUILD_ROOT%{_phpdocdir}/%{name}
cp -a phplotdocs/* $RPM_BUILD_ROOT%{_phpdocdir}/%{name}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a contrib/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS* README*
%{php_data_dir}/%{name}
%{_examplesdir}/%{name}-%{version}

%files phpdoc
%defattr(644,root,root,755)
%{_phpdocdir}/%{name}
%changelog
* Sun Apr 17 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/phplot.git;a=log;h=master

* Fri Apr 08 2016 Elan Ruusamäe <glen@delfi.ee> e4e5eb6
- updated docs to 20151105 for PHPlot-6.2.0

* Fri Apr 08 2016 Elan Ruusamäe <glen@delfi.ee> 19d10e3
- up to 6.2.0 (2015-11-01), should support PHP-7

* Sun Apr 12 2015 Elan Ruusamäe <glen@delfi.ee> ce74b0c
- up to 6.1.0, manual 20130511

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> a80022a
- use virtual php deps
- release 5 (by relup.sh)

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 03085e6
- use php(core) as dependency to require php version
- release 3 (by relup.sh)

* Thu Aug 16 2012 Elan Ruusamäe <glen@delfi.ee> 4ce2085
- package contrib as examples

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> d253a90
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Sat Apr 07 2012 Elan Ruusamäe <glen@pld-linux.org> c2f63ef
- up to 5.8.0

* Tue Sep 14 2010 Jarosław Skibiński <skibi@pld-linux.org> 1f2d948
- Update to 5.1.3

* Mon Jul 20 2009 Elan Ruusamäe <glen@pld-linux.org> 499c95d
- php 5.2 needed

* Mon Jul 20 2009 Elan Ruusamäe <glen@pld-linux.org> 622be9d
- up to 5.0.7, docs 20090614; subpkg for docs

* Fri Jan 23 2009 duddits <duddits@pld-linux.org> bd011f7
- up to 5.0.6, manual updated to 20090121

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b0c7f7a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 898ec6c
- converted to UTF-8

* Fri Jan 12 2007 Jakub Bogusz <qboosh@pld-linux.org> 44eea8f
- simpler macros compatible with df

* Fri Jan 12 2007 twittner <twittner@pld-linux.org> 95f18ab
- note about how 5.0.0rc3 works in comparison with 4.4.6

* Wed Jan 03 2007 twittner <twittner@pld-linux.org> 17664ed
- up to 5.0rc3 (works for me with php4)
- added manual (separate source)

* Sun Nov 26 2006 Elan Ruusamäe <glen@pld-linux.org> 4ee904b
- rel 4: use php(extension) virtuals

* Mon Apr 26 2004 Adam Gołębiowski <adamg@pld-linux.org> f80ddd1
- release 3 for Ac (2 is for Ra)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> fde37d9
- massive attack: source-md5

